Installation of privacyIDEA

Discussion in 'HOWTO-Related Questions' started by Marjan, Aug 28, 2015.

  1. Marjan

    Marjan New Member

    Hi everybody,
    I found this guide for OTP appliance, but after installation I have a problem.
    Ubuntu server 14.04 is installed as required, privacyidea-appliance and privacyidea-radius are also installed, but when I type privacyidea-setup-tui I get only the error message:
    Trackback (most recent call last):
    File "/usr/sbin/privacyidea-setup-tui", line 27, in <module>
        from privacyidea.lib.appliance import (Backup, ImportError: No module named appliance
    line 27 from file /usr/sbin/privacyidea-setup-tui:
    from privacyidea.lib.appliance import (Backup,
    So, I'll be very graceful if there is someone with constructive advice.
    Thank you,
  2. cornelinux

    cornelinux New Member

    Hi Marjan,
    the appliance is ment to work with privacyIDEA 1.5. privacyIDEA was migrated and its version is now 2.5.
    Unfortunately the appliance package was not adapted, yet.
    But installing 2.5 is quite easy.

    See here

    Kind regards
  3. Marjan

    Marjan New Member

    Thank you Cornelius, thank you very much! :)

Share This Page